local function doFadeWipe(state)
	fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
	engine.Scene:Add(fadeWipe)
	fadeWipe.duration = 2
	fadeWipe.EndTimer = 1
end

function onBegin()
	if getFlag("deeperwell_scareaway_end") then
		doFadeWipe(true)
		wait(1.2)
		setFlag("introstart2")
		setFlag("fade_deeperwell_scareaway_end", false)
		setFlag("deeperwell_scareaway_end", false)
		enableMovement()
		enablePause()
		setFlag("desparar2")
	end
end